Integrated POST

I-9 & E-Verify Integrated POST

This API is used to create a new employee or re-hire an existing employee within Guardian and trigger the integrated I-9 workflow. This request is used to add new hires or a new period of employment to Guardian while initiating and overseeing the I-9 and E-Verify process from an external system (e.g. ATS). For re-hires, this workflow assumes that the existing employee record in Guardian is in a terminated state at the time of the request.

For external applications equipped to receive I-9 and/or E-Verify status updates, the value provided for the integrationCandidateId is used to define the employee in the subsequent Guardian status update requests.

Method

POST

Parameters

ParameterLabelDescriptionTypeMaxRequired
integrationCandidateIdPartner employee/candidate unique idstring50Yes
firstNameFirst NameEmployee’s first namestring40Yes
lastNameLast NameEmployee’s last namestring40Yes
startDateDate HiredEmployee’s hire datedate stringN/AYes
emailAddressE-MailEmployee’s email addressstring80Yes
locationIdJob LocationEmployee’s assigned worksite location’s system IDintN/AYes
onboardingTypeIndicates the new hire’s applicable workflow. ‘on-site’ signifies the employee will meet with a defined Guardian user to complete the I-9. ‘remote’ signifies the employee will find an individual to act as the authorized representative.stringN/AYes
employeeReturnUrlDesignates the webpage the employee is re-directed to after completing Section 1 of the I-9.string255No
idSystem generated unique keyintN/ANo
middleNameMiddle NameEmployee’s middle namestring25No
socialSecurityNumberSocial Security #Employee’s social security numberstring11No
dateOfBirthDate of BirthEmployee’s birthdatedate stringN/ANo
profileIdEmployee IDEmployee’s company-issued identificationstring30No
otherNameMaiden NameEmployee’s maiden namestring40No
jobTitleTitleEmployee’s titlestring80No
legalEntityCurrent Business UnitEmployee’s assigned legal entity’s system IDintN/ANo
languagePreferencePreferred LanguageEmployee’s preferred language (used to present onscreen help text). Send a 1 value to indicate ‘English’ and 2 to indicate ‘Spanish’intN/ANo
custom1NAOptional Organization-defined custom fieldstring255No
custom2NAOptional Organization-defined custom fieldstring255No
custom3NAOptional Organization-defined custom fieldstring255No
custom4NAOptional Organization-defined custom fieldstring255No
custom5NAOptional Organization-defined custom fieldstring255No
custom6NAOptional Organization-defined custom fieldstring255No
custom7NAOptional Organization-defined custom fieldstring255No
custom8NAOptional Organization-defined custom fieldstring255No
notificationEmail1Address 1Optional organization-defined email notification recipientstring255No
notificationEmail2Address 2Optional organization-defined email notification recipientstring255No
addressStreetLine 1Physical street addressstring80No
addressStreet2Line 2Physical street addressstring80No
addressApartmentApt #Apartment numberstring80No
addressCityCityCity addressstring50No
addressStateStateState addressstring20No
addressCountryCountryCountry addressstring50No
addressZipZipZip code addressstring10No
workNumberWork PhoneWork phone numberstring20No
workExtensionExtWork phone extension numberstring10No
homeNumberHome PhoneHome phone numberstring20No
homeExtensionExtHome phone extension numberstring10No
cellNumberCell PhoneCell phone numberstring20No
cellExtensionExtCell phone extension numberstring10No

Example

Request Example

POST https:///v1/partners/i9s/section1


 {
 ""integrationCandidateId"": ""123456""
 ""firstName"": ""Jennifer"",
 ""lastName"": ""Smith"",
 ""startDate"": ""2014-01-01"",
 ""emailAddress"": """",
 ""locationId"": 1,
 ""onboardingType"": ""on-site"",
 ""employeeReturnUrl"": ""http://www.examplereturnurl.com
 ""dateOfBirth"": ""04/02/1990"",
 ""middleName"": ""P"",
 ""languagePreference"": 1,
 ""socialSecurityNumber"": ""111-222-333"",
 ""addressStreet"": ""400 17th Street"",
 ""addressApartment"": ""#1238"",
 ""addressCity"": ""Atlanta"",
 ""addressState"": ""GA"",
 ""addressZip"": ""30309""
 }
 

Response Example


 {
 ""i9Section1Link"": ""https:///4DCGI/WEB_Log_Login/EMP/JR6EROOX21G8QR4E/RMLNM"",
 ""id"": 418460,
 ""links"": [
 {
 ""href"": ""/v1/partners/i9s/section1/"",
 ""rel"": ""self""
 }
 ]
 }